diff --git a/menu.cfg b/menu.cfg
index 3c07a14..8bd77fb 100644
--- a/menu.cfg
+++ b/menu.cfg
@@ -1,5 +1,5 @@
-menu hshift 15
-menu width 75
+menu hshift 11
+menu width 57
 
 menu title YunoHost installation
 
diff --git a/profiles/default.preseed b/profiles/default.preseed
index 9c57cb3..99c1485 100644
--- a/profiles/default.preseed
+++ b/profiles/default.preseed
@@ -15,8 +15,6 @@ d-i mirror/http/proxy string
 ### Localization
 
 # Set default answers to question, but set them as "false" so that they're asked anyway
-# This prevent for example the default country to be "United States" and having to search
-# for Europe -> Paris in "Other" ...
 d-i debian-installer/language string en
 d-i debian-installer/language seen false
 
diff --git a/profiles/expert.preseed b/profiles/expert.preseed
index 2f38840..e2656a8 100644
--- a/profiles/expert.preseed
+++ b/profiles/expert.preseed
@@ -16,8 +16,6 @@ d-i mirror/http/proxy seen false
 ### Localization
 
 # Set default answers to question, but set them as "false" so that they're asked anyway
-# This prevent for example the default country to be "United States" and having to search
-# for Europe -> Paris in "Other" ...
 d-i debian-installer/language string en
 d-i debian-installer/language seen false
 
diff --git a/simple-cdd-amd64.conf b/simple-cdd-amd64.conf
index 293e78f..34aa10d 100644
--- a/simple-cdd-amd64.conf
+++ b/simple-cdd-amd64.conf
@@ -1,9 +1,8 @@
 server="ftp2.fr.debian.org"
 debian_mirror="http://$server/debian/"
 wget_debian_mirror="ftp://$server/debian"
-profiles="default"
+profiles="default expert"
 mirror_components="main contrib non-free"
-locale=en_US
 export ARCH="amd64"
 export DISKINFO="YunoHost $(date --utc +%Y%m%d)"
 export OMIT_MANUAL=1
diff --git a/simple-cdd-i386.conf b/simple-cdd-i386.conf
index 84f7e9a..1cb7428 100644
--- a/simple-cdd-i386.conf
+++ b/simple-cdd-i386.conf
@@ -1,9 +1,8 @@
 server="ftp2.fr.debian.org"
 debian_mirror="http://$server/debian/"
 wget_debian_mirror="ftp://$server/debian"
-profiles="default"
+profiles="default expert"
 mirror_components="main contrib non-free"
-locale=en_US
 export ARCH="i386"
 export DISKINFO="YunoHost $(date --utc +%Y%m%d)"
 export OMIT_MANUAL=1
